org.apache.xmlbeans.impl.xb.xsdschema.impl

## Class SimpleTypeImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.xmlbeans.impl.xb.xsdschema.impl.OpenAttrsImpl
      - - org.apache.xmlbeans.impl.xb.xsdschema.impl.AnnotatedImpl
        - - org.apache.xmlbeans.impl.xb.xsdschema.impl.SimpleTypeImpl

- All Implemented Interfaces:
    Serializable, TypeStoreUser, Annotated, OpenAttrs, SimpleType, SimpleValue, XmlObject, XmlTokenSource
  Direct Known Subclasses:
    LocalSimpleTypeImpl, TopLevelSimpleTypeImpl

      public class SimpleTypeImpl
      extends AnnotatedImpl
      implements SimpleType

  An XML simpleType(@http://www.w3.org/2001/XMLSchema). This is a complex type.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.SimpleType

      `Factory, type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleTypeImpl(SchemaType sType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ListDocument.List` | `addNewList()` Appends and returns a new empty "list" element
    `RestrictionDocument.Restriction` | `addNewRestriction()` Appends and returns a new empty "restriction" element
    `UnionDocument.Union` | `addNewUnion()` Appends and returns a new empty "union" element
    `Object` | `getFinal()` Gets the "final" attribute
    `ListDocument.List` | `getList()` Gets the "list" element
    `String` | `getName()` Gets the "name" attribute
    `RestrictionDocument.Restriction` | `getRestriction()` Gets the "restriction" element
    `UnionDocument.Union` | `getUnion()` Gets the "union" element
    `boolean` | `isSetFinal()` True if has "final" attribute
    `boolean` | `isSetList()` True if has "list" element
    `boolean` | `isSetName()` True if has "name" attribute
    `boolean` | `isSetRestriction()` True if has "restriction" element
    `boolean` | `isSetUnion()` True if has "union" element
    `void` | `setFinal(Object xfinal)` Sets the "final" attribute
    `void` | `setList(ListDocument.List list)` Sets the "list" element
    `void` | `setName(String name)` Sets the "name" attribute
    `void` | `setRestriction(RestrictionDocument.Restriction restriction)` Sets the "restriction" element
    `void` | `setUnion(UnionDocument.Union union)` Sets the "union" element
    `void` | `unsetFinal()` Unsets the "final" attribute
    `void` | `unsetList()` Unsets the "list" element
    `void` | `unsetName()` Unsets the "name" attribute
    `void` | `unsetRestriction()` Unsets the "restriction" element
    `void` | `unsetUnion()` Unsets the "union" element
    `SimpleDerivationSet` | `xgetFinal()` Gets (as xml) the "final" attribute
    `XmlNCName` | `xgetName()` Gets (as xml) the "name" attribute
    `void` | `xsetFinal(SimpleDerivationSet xfinal)` Sets (as xml) the "final" attribute
    `void` | `xsetName(XmlNCName name)` Sets (as xml) the "name" attribute

    - ### Methods inherited from class org.apache.xmlbeans.impl.xb.xsdschema.impl.AnnotatedImpl

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

      `arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, build_nil, build_text, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, disconnect_store, documentProperties, dump, elementFlags, equals, execQuery, execQuery, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanArray, getBooleanArray, getBooleanValue, getByteArray, getByteArray, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleArray, getDoubleArray, getDoubleValue, getEnumArray, getEnumArray, getEnumValue, getFloatArray, getFloatArray, getFloatValue, getGDateValue, getGDurationValue, getIntArray, getIntArray, getIntValue, getListValue, getLongArray, getLongArray, getLongValue, getObjectArray, getObjectArray, getObjectValue, getQNameValue, getShortArray, getShortArray, getShortValue, getStringValue, getXmlLocale, getXmlObjectArray, getXmlObjectArray, has_store, hashCode, init_flags, initComplexType, instanceType, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetArray, xgetArray, xgetListValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### SimpleTypeImpl

          public SimpleTypeImpl(SchemaType sType)

  - ### Method Detail

    - #### getRestriction

          public RestrictionDocument.Restriction getRestriction()

      Gets the "restriction" element
      Specified by:
        `getRestriction` in interface `SimpleType`

    - #### isSetRestriction

          public boolean isSetRestriction()

      True if has "restriction" element
      Specified by:
        `isSetRestriction` in interface `SimpleType`

    - #### setRestriction

          public void setRestriction(RestrictionDocument.Restriction restriction)

      Sets the "restriction" element
      Specified by:
        `setRestriction` in interface `SimpleType`

    - #### addNewRestriction

          public RestrictionDocument.Restriction addNewRestriction()

      Appends and returns a new empty "restriction" element
      Specified by:
        `addNewRestriction` in interface `SimpleType`

    - #### unsetRestriction

          public void unsetRestriction()

      Unsets the "restriction" element
      Specified by:
        `unsetRestriction` in interface `SimpleType`

    - #### getList

          public ListDocument.List getList()

      Gets the "list" element
      Specified by:
        `getList` in interface `SimpleType`

    - #### isSetList

          public boolean isSetList()

      True if has "list" element
      Specified by:
        `isSetList` in interface `SimpleType`

    - #### setList

          public void setList(ListDocument.List list)

      Sets the "list" element
      Specified by:
        `setList` in interface `SimpleType`

    - #### addNewList

          public ListDocument.List addNewList()

      Appends and returns a new empty "list" element
      Specified by:
        `addNewList` in interface `SimpleType`

    - #### unsetList

          public void unsetList()

      Unsets the "list" element
      Specified by:
        `unsetList` in interface `SimpleType`

    - #### getUnion

          public UnionDocument.Union getUnion()

      Gets the "union" element
      Specified by:
        `getUnion` in interface `SimpleType`

    - #### isSetUnion

          public boolean isSetUnion()

      True if has "union" element
      Specified by:
        `isSetUnion` in interface `SimpleType`

    - #### setUnion

          public void setUnion(UnionDocument.Union union)

      Sets the "union" element
      Specified by:
        `setUnion` in interface `SimpleType`

    - #### addNewUnion

          public UnionDocument.Union addNewUnion()

      Appends and returns a new empty "union" element
      Specified by:
        `addNewUnion` in interface `SimpleType`

    - #### unsetUnion

          public void unsetUnion()

      Unsets the "union" element
      Specified by:
        `unsetUnion` in interface `SimpleType`

    - #### getFinal

          public Object getFinal()

      Gets the "final" attribute
      Specified by:
        `getFinal` in interface `SimpleType`

    - #### xgetFinal

          public SimpleDerivationSet xgetFinal()

      Gets (as xml) the "final" attribute
      Specified by:
        `xgetFinal` in interface `SimpleType`

    - #### isSetFinal

          public boolean isSetFinal()

      True if has "final" attribute
      Specified by:
        `isSetFinal` in interface `SimpleType`

    - #### setFinal

          public void setFinal(Object xfinal)

      Sets the "final" attribute
      Specified by:
        `setFinal` in interface `SimpleType`

    - #### xsetFinal

          public void xsetFinal(SimpleDerivationSet xfinal)

      Sets (as xml) the "final" attribute
      Specified by:
        `xsetFinal` in interface `SimpleType`

    - #### unsetFinal

          public void unsetFinal()

      Unsets the "final" attribute
      Specified by:
        `unsetFinal` in interface `SimpleType`

    - #### getName

          public String getName()

      Gets the "name" attribute
      Specified by:
        `getName` in interface `SimpleType`

    - #### xgetName

          public XmlNCName xgetName()

      Gets (as xml) the "name" attribute
      Specified by:
        `xgetName` in interface `SimpleType`

    - #### isSetName

          public boolean isSetName()

      True if has "name" attribute
      Specified by:
        `isSetName` in interface `SimpleType`

    - #### setName

          public void setName(String name)

      Sets the "name" attribute
      Specified by:
        `setName` in interface `SimpleType`

    - #### xsetName

          public void xsetName(XmlNCName name)

      Sets (as xml) the "name" attribute
      Specified by:
        `xsetName` in interface `SimpleType`

    - #### unsetName

          public void unsetName()

      Unsets the "name" attribute
      Specified by:
        `unsetName` in interface `SimpleType`